# class hk_actionquery

Action query (i.e. ALTER TABLE) with no result. More...

Definition | `#include <hk_classes/hk_classes/hk_actionquery.h>`
Inherits | hk_data [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~hk_actionquery (void)
- enum_datasourcetypes type (void)
- void set_sql (const char*s, unsigned long l)
- void set_sql (const hk_string& s)
- const char* sql (void)
- unsigned long length (void)
- bool execute (void)

#### Protected Methods

- hk_actionquery (hk_database* db)
- virtual bool driver_specific_execute (void)
- virtual bool driver_specific_sql (const char*s)
- virtual void before_source_vanishes (void)
- void print_sql (void)

#### Protected Members

- char* p_sql
- unsigned long p_length

## Detailed Description

In contrary to Result Queries (queries with a SELECT - SQL-statement) action queries manipulate data like ALTER TABLE or INSERT INTO. There is no resulting data.

~hk_actionquery (void)

### ~hk_actionquery

[virtual]

enum_datasourcetypes type (void)

### type

Reimplemented from hk_data.

void set_sql (const char*s, unsigned long l)

### set_sql

SQL-serverdependend SQL statement

Parameters:

s | SQL statement.
l | length of the field s. Maybe that there is \0 somewhere in the SQL statement (i.e. BLOB field), so this is necessary.

void set_sql (const hk_string& s)

### set_sql

const char* sql (void)

### sql

unsigned long length (void)

### length

bool execute (void)

### execute

tries to execute the sql statement

Returns: true if it was successful.

hk_actionquery (hk_database* db)

### hk_actionquery

[protected]

bool driver_specific_execute (void)

### driver_specific_execute

[protected virtual]

bool driver_specific_sql (const char*s)

### driver_specific_sql

[protected virtual]

void before_source_vanishes (void)

### before_source_vanishes

[protected virtual]

Reimplemented from hk_data.

char* p_sql

### p_sql

[protected]

unsigned long p_length

### p_length

[protected]

void print_sql (void)

### print_sql

[protected]

- Version: $Revision: 1.13 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.